Database Independent Abstraction Layer for C: libdbi Driver Author's Guide
Prev | Chapter 2. Driver Capabilities | Next

# 2.1. Setting driver capabilities

The perfect place to set driver capabilities is in the dbd_initialize function which is called right after the driver is loaded by libdbi. To set capabilities, call the _dbd_register_driver_cap function for each of them:

``void _dbd_register_driver_cap`(dbi_driver_t *driver, const char *capname, int value);`

Arguments

  `driver`: the driver as passed to dbd_initialize.

  `capname`: A string containing the name of the capability (i.e. the key).

  `value`: The value of the capability.

Prev | Home | Next
Driver Capabilities | Up | Required driver capabilities